//
//  NetworkConfiguration.h
//  OAHabraManager
//
//  Created by Orlov Alexander on 01.05.13.
//  Copyright (c) 2013 Orlov Alexander. All rights reserved.
//

#ifndef LHabr_NetworkConfiguration_h
#define LHabr_NetworkConfiguration_h

typedef enum OAPostsSourceDefinition
{
    OAPostsSourceBestDaily,
    OAPostsSourceBestWeekly,
    OAPostsSourceBestMonthly,
    OAPostsSourceBestAll,
    
    OAPostsSourceThematicHabred,
    OAPostsSourceThematicNew,
    OAPostsSourceThematicUnHabred,
    OAPostsSourceThematicSandbox,
    
    OAPostsSourceCorporativeHabred,
    OAPostsSourceCorporativeNew,
    OAPostsSourceCorporativeUnHabred,
} OAPostsSourceType;

typedef enum OAQuestionsSourceDefinition
{
    OAQuestionsSourceIncomingHabred,
    OAQuestionsSourceIncomingNew,
    OAQuestionsSourceIncomingUnHabred,
    
    OAQuestionsSourceHot,
    
    OAQuestionsSourceUnAnswered
} OAQuestionsSourceType;

/*Common*/
#define kDomain                               @"com.orlovalex.OAHabraManager"
#define kServiceURL                           @"http://habrahabr.ru"
//////////////////////////
/////////*Posts*//////////
//////////////////////////
//*Lists*/
#define kPostsSourceBestDaily                  @"/posts/top/daily"
#define kPostsSourceBestWeekly                 @"/posts/top/weekly"
#define kPostsSourceBestMonthly                @"/posts/top/monthly"
#define kPostsSourceBestAll                    @"/posts/top/alltime"

#define kPostsSourceThematicHabred             @"/posts/collective/habred"
#define kPostsSourceThematicNew                @"/posts/collective/new"
#define kPostsSourceThematicUnHabred           @"/posts/collective/unhabred"
#define kPostsSourceThematicSandbox            @"/sandbox"

#define kPostsSourceCorporativeHabred          @"/posts/corporative/habred"
#define kPostsSourceCorporativeNew             @"/posts/corporative/new"
#define kPostsSourceCorporativeUnHabred        @"/posts/corporative/unhabred"
//*Pagination*/
#define kPostsSourcePageFormatPostfix          @"/page%d"
//////////////////////////
//----------------------//
//////////////////////////
//*Questions and Answers*/
//////////////////////////
//*Lists*/
#define kQASourceIncomingHabred               @"/qa/incoming/habred"
#define kQASourceIncomingNew                  @"/qa/incoming/new"
#define kQASourceIncomingUnHabred             @"/qa/incoming/unhabred"

#define kQASourceHot                          @"/qa/hot"

#define kQASourceUnAnswered                   @"/qa/unanswered"
//*Pagination*/
#define kQASourcePageFormatPostfix            @"/page%d"
//////////////////////////
//----------------------//
//////////////////////////
////////*Events*//////////
//////////////////////////
//*Lists*/

//*Pagination*/

//////////////////////////
//----------------------//
//////////////////////////
/////////*Hubs*///////////
//////////////////////////
//*Lists*/

//*Pagination*/

//////////////////////////
//----------------------//
//////////////////////////
///////*Companies*////////
//////////////////////////
//*Lists*/

//*Pagination*/

//////////////////////////

#endif
